Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455111 - Review Request: python-webob - WSGI request and response object
Summary: Review Request: python-webob - WSGI request and response object
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Toshio Ernie Kuratomi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 453082
Blocks: 451407
TreeView+ depends on / blocked
 
Reported: 2008-07-12 03:18 UTC by Ricky Zhou
Modified: 2008-08-06 17:44 UTC (History)
2 users (show)

Fixed In Version: 0.9.2-2.fc9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-30 19:59:39 UTC
a.badger: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Ricky Zhou 2008-07-12 03:18:20 UTC
Spec URL: http://ricky.fedorapeople.org/pkgs/python-webob/python-webob.spec
SRPM URL: http://ricky.fedorapeople.org/pkgs/python-webob/python-webob-0.9.2-1.fc9.src.rpm
Description:
WebOb provides wrappers around the WSGI request environment, and an object to
help create WSGI responses. The objects map much of the specified behavior of
HTTP, including header parsing and accessors for other standard parts of the
environment.

I just built this with rpmbuild instead of mock because it buildrequires python-dtopt, which is accepted, but not in Fedora yet (and I haven't setup a local repo for mock yet).

Comment 1 Ricky Zhou 2008-07-12 03:19:31 UTC
Add dependency on python-dtopt review.

Comment 3 Toshio Ernie Kuratomi 2008-07-24 19:42:01 UTC
* rpmlint: No output, great
* Follows naming guidelines
* MIT license is OSS
* License is included in docs
* spec file is clearly readable
* Tarball matches upstream
* Builds on i386
* No translations at the moment
* Not a C library
* Not relocatable
* Package owns all directories it creates
* No duplicate files
* Does not own files owned by another package
* Permissions set properly
* Proper %clean section
* Macros used consistently
* Code, not content
* %doc does not affect the Provides or Requires
* Not a GUI
* Buildroot cleaned at beginning of %install
* All filenames are valid UTF-8
* No file dependencies
* No scriptlets
* Builds in mock

APPROVED

Comment 4 Ricky Zhou 2008-07-25 04:13:19 UTC
Thanks a lot!

New Package CVS Request
=======================
Package Name: python-webob
Short Description: WSGI request and response object
Owners: ricky
Branches: F-8 F-9
InitialCC:
Cvsextras Commits: yes

Comment 5 Kevin Fenzi 2008-07-25 16:44:12 UTC
cvs done.

Comment 6 Fedora Update System 2008-07-27 21:28:42 UTC
python-webob-0.9.2-2.fc9 has been submitted as an update for Fedora 9

Comment 7 Fedora Update System 2008-07-30 19:59:37 UTC
python-webob-0.9.2-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2008-07-30 20:07:30 UTC
python-webob-0.9.2-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Ricky Zhou 2008-08-05 17:43:49 UTC
Package Change Request
======================
Package Name: python-webob
New Branches: EL-4 EL-5

Comment 10 Kevin Fenzi 2008-08-06 17:44:00 UTC
cvs done.


Note You need to log in before you can comment on or make changes to this bug.